import { FieldInfo } from 'model-util-base';
import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, JoinTable } from 'model-util';
import { DevopsTemplate } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-03-12 15:29
 */
interface DevopsTemplateCU extends ConditionUtil<DevopsTemplateCU> {
    ID: FieldUtil<DevopsTemplateCU>;
    TEMPLATE_NAME: FieldUtil<DevopsTemplateCU>;
    UPGRADE_TIME: FieldUtil<DevopsTemplateCU>;
    TEMPLATE_DESC: FieldUtil<DevopsTemplateCU>;
    BUSINESS_AREA: FieldUtil<DevopsTemplateCU>;
    BUSINESS_GROUP: FieldUtil<DevopsTemplateCU>;
    NGINX_CONF_ID: FieldUtil<DevopsTemplateCU>;
    CREATE_TIME: FieldUtil<DevopsTemplateCU>;
    UPDATE_TIME: FieldUtil<DevopsTemplateCU>;
    CREATE_USER_ID: FieldUtil<DevopsTemplateCU>;
    UPDATE_USER_ID: FieldUtil<DevopsTemplateCU>;
}
declare class DevopsTemplateMU extends TableUtilImpl<DevopsTemplateCU, DevopsTemplate> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: JoinTable[];
    subTables: any[];
    createConditionUtil(): DevopsTemplateCU;
    static get ID(): FieldUtil<DevopsTemplateCU>;
    static get TEMPLATE_NAME(): FieldUtil<DevopsTemplateCU>;
    static get UPGRADE_TIME(): FieldUtil<DevopsTemplateCU>;
    static get TEMPLATE_DESC(): FieldUtil<DevopsTemplateCU>;
    static get BUSINESS_AREA(): FieldUtil<DevopsTemplateCU>;
    static get BUSINESS_GROUP(): FieldUtil<DevopsTemplateCU>;
    static get NGINX_CONF_ID(): FieldUtil<DevopsTemplateCU>;
    static get CREATE_TIME(): FieldUtil<DevopsTemplateCU>;
    static get UPDATE_TIME(): FieldUtil<DevopsTemplateCU>;
    static get CREATE_USER_ID(): FieldUtil<DevopsTemplateCU>;
    static get UPDATE_USER_ID(): FieldUtil<DevopsTemplateCU>;
    static get NGINX_CONF_NAME(): FieldInfo;
    get ID(): FieldUtil<DevopsTemplateCU>;
    get TEMPLATE_NAME(): FieldUtil<DevopsTemplateCU>;
    get UPGRADE_TIME(): FieldUtil<DevopsTemplateCU>;
    get TEMPLATE_DESC(): FieldUtil<DevopsTemplateCU>;
    get BUSINESS_AREA(): FieldUtil<DevopsTemplateCU>;
    get BUSINESS_GROUP(): FieldUtil<DevopsTemplateCU>;
    get NGINX_CONF_ID(): FieldUtil<DevopsTemplateCU>;
    get CREATE_TIME(): FieldUtil<DevopsTemplateCU>;
    get UPDATE_TIME(): FieldUtil<DevopsTemplateCU>;
    get CREATE_USER_ID(): FieldUtil<DevopsTemplateCU>;
    get UPDATE_USER_ID(): FieldUtil<DevopsTemplateCU>;
    get NGINX_CONF_NAME(): FieldInfo;
}
export { DevopsTemplateMU, DevopsTemplateCU };
